Maven JAR Plugin
  1. Maven JAR Plugin
  2. MJAR-137

Avoid possible data corruption issues and deadlocks

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Critical Critical
    • Resolution: Fixed
    • Affects Version/s: 2.3
    • Fix Version/s: 2.3.1
    • Component/s: None
    • Labels:
      None
    • Number of attachments :
      0

      Description

      Issues that could cause deadlocks on all platforms (but especially 64 bit) and corruption of archives on non-windows platforms have been identified in these libraries. These can be fixed by upgrading plexus-is >= 1.0, plexus-utils >= 2.0.5, plexus-archiver >= 1.0 and maven-archiver >= 2.4.1

        Issue Links

          Activity

          There are no comments yet on this issue.

            People

            • Assignee:
              Kristian Rosenvold
              Reporter:
              Kristian Rosenvold
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: